/**Begin D:\PDM_UPGRADE\PDM1\BCM_table.sql **/
 EXEC p_AlterColumn 'T_BCM_ISSINGLEMAP', 'FSRCREPORTTYPE', 'VARCHAR(200)', 'NOT NULL', '0001', '''0''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_CHECKRPTLOT') 
 CREATE TABLE T_BCM_CHECKRPTLOT (
FID BIGINT DEFAULT 0 NOT NULL,
FISCOMPANY CHAR(1) DEFAULT '1' NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_CHECKRPTLOTENTRY') 
 CREATE TABLE T_BCM_CHECKRPTLOTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOLUMNNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FISSHOW CHAR(1) DEFAULT '1' NOT NULL,
FSORTORDER INT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\BCM_table.sql **/
